rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Typedefs
rpmio.h File Reference
I/O » RPM IO API.
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmsw.h>`
Include dependency graph for rpmio.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef const struct FDIO_s * | FDIO_t

## Functions
RPMIO Interface.
const char * | Fstrerror (FD_t fd)
ssize_t | Fread (void *buf, size_t size, size_t nmemb, FD_t fd)
ssize_t | Fwrite (const void *buf, size_t size, size_t nmemb, FD_t fd)
int | Fseek (FD_t fd, off_t offset, int whence)
off_t | Ftell (FD_t fd)
int | Fclose (FD_t fd)
FD_t | Fdopen (FD_t ofd, const char *fmode)
FD_t | Fopen (const char *path, const char *fmode)
int | Fflush (FD_t fd)
int | Ferror (FD_t fd)
int | Fileno (FD_t fd)
int | Fcntl (FD_t fd, int op, void *lip)
const char * | Fdescr (FD_t fd)

## RPMIO Utilities.
enum | fdOpX_e { FDSTAT_READ = 0 , FDSTAT_WRITE = 1 , FDSTAT_SEEK = 2 , FDSTAT_CLOSE = 3 , FDSTAT_DIGEST = 4 , FDSTAT_MAX = 5 }
typedef enum fdOpX_e | fdOpX
off_t | fdSize (FD_t fd)
FD_t | fdDup (int fdno)
FD_t | fdLink (FD_t fd)
FD_t | fdFree (FD_t fd)
off_t | ufdCopy (FD_t sfd, FD_t tfd)
rpmop | fdOp (FD_t fd, fdOpX opx)

## Detailed Description

RPM I/O API (Fd_t is RPM equivalent to libc's FILE)